import { WriteScriptFunction } from '../../functions/index.js';
import { prompts } from './prompts.js';
import { Agent, AgentConfig } from '../utils/index.js';
export class ScriptWriter extends Agent {
    constructor(context) {
        const writeScriptFn = new WriteScriptFunction();
        super(new AgentConfig(() => prompts, [writeScriptFn], undefined, functionCalled => functionCalled.name === writeScriptFn.name, true), context);
    }
}
